Package ru.bitel.bgbilling.kernel.contract.config.server.bean

# Class AbstractContractConfig

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.kernel.contract.config.server.bean.AbstractContractConfig

All Implemented Interfaces:
  `AutoCloseable`

Direct Known Subclasses:
  `ContractModuleConfigDao`, `ContractPluginConfigDao`

public abstract class AbstractContractConfig extends ru.bitel.common.dao.AbstarctDaoConstant implements AutoCloseable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `TABLE_CONTRACT_MODULE_CONFIG`
  `protected static final String`
  `TABLE_CONTRACT_PLUGIN_CONFIG`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractContractConfig(String table, Connection con, int configId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `delete(int contractId, String key)`
  `void`
  `deleteForContract(int contractId)`
  `String`
  `get(int contractId, String key)`
  `String`
  `get(int contractId, String key, String defaultValue)`
  `List<String>`
  `getKeyList()`
  `void`
  `searchContractModuleConfig(SearchResult<ContractModuleConfig> searchResult, String contractTitle, List<String> keys)`
  `void`
  `update(int contractId, String key, String value)`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_CONTRACT_MODULE_CONFIG

    protected static final String TABLE_CONTRACT_MODULE_CONFIG
    See Also:
      - Constant Field Values

  - ### TABLE_CONTRACT_PLUGIN_CONFIG

    protected static final String TABLE_CONTRACT_PLUGIN_CONFIG
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AbstractContractConfig

    protected AbstractContractConfig(String table, Connection con, int configId)

- ## Method Details

  - ### get

    public String get(int contractId, String key) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public String get(int contractId, String key, String defaultValue) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### update

    public void update(int contractId, String key, String value) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public void delete(int contractId, String key) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteForContract

    public void deleteForContract(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchContractModuleConfig

    public void searchContractModuleConfig(SearchResult<ContractModuleConfig> searchResult, String contractTitle, List<String> keys) throws Exception
    Throws:
      `Exception`

  - ### getKeyList

    public List<String> getKeyList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`